# XQilla Simple API Documentation

# StaticAnalysis.hpp File Reference

`#include <string>`
`#include <xqilla/framework/XQillaExport.hpp>`
`#include <xqilla/ast/StaticType.hpp>`
`#include <vector>`
Include dependency graph for StaticAnalysis.hpp:

Go to the source code of this file.

## Classes

class | StaticAnalysis
| Records access to various parts of the context during static resolution. More...
class | StaticAnalysis::VarEntry